Foswiki on GitHub is open for business! Next release meeting: Monday September 1, 1300Z

Item9062: Disable TWiki Compatibility Plugin by default

Priority: CurrentState: AppliesTo: Component: WaitingFor:
Enhancement Closed Engine    
these settings are used by the nightly builds - and we want to test what we're shipping

(need to tweak to align with our shipping intentions

-- SvenDowideit - 25 May 2010

For the record, removing TWikiCompatibilityPlugin's Module from the Foswiki.spec made the unit test fail, as per Item9041. I've hacked the unit tests to yell about it, and guess the path so they work. Only other option was to put back the Module, but keep it disabled, which I didn't like.

-- OlivierRaginel - 16 Jul 2010

Hang on, the headline here is "shipped core plugins need to be enabled in the Foswiki.spec". Absolutely not. TCP is only used on sites which have to be (tm)wiki compatible. On a fresh install, it's useless, and should not be enabled. But requiring to admin to disable it is excess excise. So it definitely should not be enabled, but it should be shipped because it is useful on many sites.

The unit tests need to take responsibility for enabling the plugins they test. Foswikirev:7551 must be reverted.

-- CrawfordCurrie - 16 Jul 2010

In fact, CDot got a point here. Reverted the commit, but disabled it by default, and also fixed the unit tests to yell.

-- OlivierRaginel - 16 Jul 2010

Agree. The TCP should still be shipped but disabled. We are 1.5 year since the fork and it was the plan that TCP would be enabled in 1.0.X and disabled in later major/minor. And at some point in future - it will not be included at all but needs to be downloaded. That will probably be another 1.5 years from now. So this move is 100% in line with our original plans.

I am changing the headline so it gives the upgraders a better info and keep it in Waiting For Release.

-- KennethLavrsen - 16 Jul 2010

Unit tests now yell about EmptyPlugin - tries to enable, but no module defined. We should not enable the EmptyPlugin by default. I get the following error when running tests on a new empty LocalSite.cfg (built with pseudo-install -A).

WARNING: EmptyPlugin has no module defined, it might not load!
        Guessed it to Foswiki::Plugins::EmptyPlugin

-- GeorgeClark - 26 Jul 2010
 

ItemTemplate edit

Summary Disable TWiki Compatibility Plugin by default
ReportedBy SvenDowideit
Codebase trunk
SVN Range
AppliesTo Engine
Component
Priority Enhancement
CurrentState Closed
WaitingFor
Checkins Foswikirev:7547 Foswikirev:7551 Foswikirev:8198 Foswikirev:8316
TargetRelease minor
ReleasedIn 1.1.0
Topic revision: r14 - 04 Oct 2010, KennethLavrsen
 
The copyright of the content on this website is held by the contributing authors, except where stated elsewhere. see CopyrightStatement. Creative Commons License